摘要:向把json-lib-2.2.3-jdk15.jar包加入到maven项目里面,pom.xml文件配置为:但是报错:Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

小宝典致力于为广大程序猿(媛)提供高品质的代码服务,请大家多多光顾小站,小宝典在此谢过。

向把json-lib-2.2.3-jdk15.jar包加入到maven项目里面,pom.xml文件配置为:

        <dependency>         <groupId>net.sf.json-lib</groupId>         <artifactId>json-lib</artifactId>         <version>2.2.3</version>         </dependency>

但是报错:Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

最后在网上找到了原因是:json-lib是需要区分jdk版本的,pom.xml中的配置应加上标签classifier指定jdk版本,如用jdk15,就正常了。

正确的配置为:

          <dependency>         <groupId>net.sf.json-lib</groupId>         <artifactId>json-lib</artifactId>         <classifier>jdk15</classifier>         <version>2.2.3</version>         </dependency>

向把json-lib-2.2.3-jdk15.jar包加入到maven项目里面,pom.xml文件配置为:

        <dependency>         <groupId>net.sf.json-lib</groupId>         <artifactId>json-lib</artifactId>         <version>2.2.3</version>         </dependency>

但是报错:Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

最后在网上找到了原因是:json-lib是需要区分jdk版本的,pom.xml中的配置应加上标签classifier指定jdk版本,如用jdk15,就正常了。

正确的配置为:

          <dependency>         <groupId>net.sf.json-lib</groupId>         <artifactId>json-lib</artifactId>         <classifier>jdk15</classifier>         <version>2.2.3</version>         </dependency>

觉得可用,就经常来吧!Javascript技巧 脚本宝典 欢迎评论哦! js技巧,巧夺天工,精雕玉琢。小宝典献丑了!

本文固定链接: http://www.js-code.com/js/js_1331.html